Library Version 18.1.40

DbEnv::get_open_flags()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_open_flags()

    #include <db_cxx.h>

    int
    DbEnv::get_open_flags(u_int32_t *flagsp);

The `DbEnv::get_open_flags()` method returns the open method flags originally used to create the database environment.

The `DbEnv::get_open_flags()` method may not be called before the `DbEnv::open()` method is called.

The `DbEnv::get_open_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `DbEnv::get_open_flags()` method returns the open method flags originally used to create the database environment in flagsp.

### Class

DbEnv

### See Also

Database Environments and Related Methods, DbEnv::open()

Prev | Up | Next
DbEnv::get_msgpfx() | Home | DbEnv::get_shm_key()